RHEL 3 / 4 : freeradius (RHSA-2005:524)

High Nessus Plugin ID 18557


The remote Red Hat host is missing one or more security updates.


Updated freeradius packages that fix a buffer overflow and possible SQL injection attacks in the sql module are now available.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

FreeRADIUS is a high-performance and highly configurable free RADIUS server designed to allow centralized authentication and authorization for a network.

A buffer overflow bug was found in the way FreeRADIUS escapes data in a SQL query. An attacker may be able to crash FreeRADIUS if they cause FreeRADIUS to escape a string containing three or less characters. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CVE-2005-1454 to this issue.

Additionally a bug was found in the way FreeRADIUS escapes SQL data.
It is possible that an authenticated user could execute arbitrary SQL queries by sending a specially crafted request to FreeRADIUS. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CVE-2005-1455 to this issue.

Users of FreeRADIUS should update to these erratum packages, which contain backported patches and are not vulnerable to these issues.


Update the affected packages.

See Also




Plugin Details

Severity: High

ID: 18557

File Name: redhat-RHSA-2005-524.nasl

Version: $Revision: 1.18 $

Type: local

Agent: unix

Published: 2005/06/24

Modified: 2016/12/28

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:freeradius, p-cpe:/a:redhat:enterprise_linux:freeradius-mysql, p-cpe:/a:redhat:enterprise_linux:freeradius-postgresql, p-cpe:/a:redhat:enterprise_linux:freeradius-unixODBC, cpe:/o:redhat:enterprise_linux:3, cpe:/o:redhat:enterprise_linux:4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2005/06/23

Vulnerability Publication Date: 2005/05/01

Reference Information

CVE: CVE-2005-1454, CVE-2005-1455

OSVDB: 16456, 16457

RHSA: 2005:524